Bug 881701 - (CVE-2012-5602, CVE-2012-6058) CVE-2012-5602 CVE-2012-6058 wireshark: DoS (infinite loop) in the ICMPv6 dissector (wnpa-sec-2012-40)
CVE-2012-5602 CVE-2012-6058 wireshark: DoS (infinite loop) in the ICMPv6 diss...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121128,reported=2...
: Security
Depends On: 881873
Blocks: 881865
  Show dependency treegraph
 
Reported: 2012-11-29 06:39 EST by Jan Lieskovsky
Modified: 2016-03-04 06:31 EST (History)
6 users (show)

See Also:
Fixed In Version: Wireshark 1.6.12, Wireshark 1.8.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 23:30:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-29 06:39:24 EST
A denial of service flaw was found in the way ICMPv6 dissector of Wireshark, a network traffic analyzer, performed dissection of certain ICMPv6 packet capture files. A remote attacker could provide a specially-crafted ICMPv6 packet capture that, once processed, would lead to excessive CPU consumption or into situation where tshark executable would enter an infinite loop, when trying to process the crafted packet.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7844

References:
[2] http://www.wireshark.org/security/wnpa-sec-2012-40.html
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.6.12.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.4.html

Relevant upstream patches:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45452
[6] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45459

Reproducer:
[7] http://www.wireshark.org/download/automated/captures/fuzz-2012-10-10-4301.pcap
Comment 2 Jan Lieskovsky 2012-11-29 12:31:55 EST
This issue did NOT affect the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the wireshark package, as shipped with Fedora release of 16 and 17.
Comment 3 Jan Lieskovsky 2012-11-29 12:49:29 EST
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 881873]
Comment 4 Vincent Danen 2012-11-29 17:16:44 EST
This was assigned CVE-2012-5602:

http://www.openwall.com/lists/oss-security/2012/11/29/5
Comment 5 Vincent Danen 2012-11-29 17:16:57 EST
Statement CVE-2012-6058:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 6 Jan Lieskovsky 2012-12-05 08:57:51 EST
The CVE-2012-5602 identifier has been rejected by Mitre in favour of CVE-2012-6058 one:

Name: CVE-2012-5602

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2012-6058.  Reason:
This candidate is a reservation duplicate of CVE-2012-6058.  Notes:
All CVE users should reference CVE-2012-6058 instead of this
candidate.  All references and descriptions in this candidate have
been removed to prevent accidental usage.

--

The correct CVE identifier this particular wireshark flaw should be referenced under (from now on) is CVE-2012-6058.

Note You need to log in before you can comment on or make changes to this bug.